Bug 199785 - Encode::ConfigLocal seems to be missing
Encode::ConfigLocal seems to be missing
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-21 19:06 EDT by Max Kanat-Alexander
Modified: 2008-05-08 08:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 15:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Max Kanat-Alexander 2006-07-21 19:06:04 EDT
Description of problem:

Every so often, when I'm running under mod_perl, one of my applications displays
a "Can't locate Encode/ConfigLocal.pm in @INC" message at the top of the page.

I looked around on the disk, and there is no ConfigLocal.pm. However, running
"enc2xs -C" creates it and solves the problem.

You may also want to look at this perl bug:


They say it only happens in RHEL, not in normal perl. Apparently it happens as
far back as RHEL3.

Version-Release number of selected component (if applicable):
Comment 1 Jason Vas Dias 2006-07-25 12:45:51 EDT
Yes, I see the problem - will try to get this fixed in the next update release.
Comment 4 RHEL Product and Program Management 2006-09-05 15:33:15 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 5 RHEL Product and Program Management 2006-09-05 15:46:23 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 6 Stepan Kasal 2008-05-08 08:17:47 EDT
Tracked upstream as http://rt.cpan.org/Public/Bug/Display.html?id=11511

Note You need to log in before you can comment on or make changes to this bug.